package ovh.mxg.cubetp;

import org.bukkit.Material;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.MessageFormat;

public class Command implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, org.bukkit.command.Command command, String s, String[] strings) {
        if(sender instanceof Player){
            Player player = (Player) sender;
            if(strings.length == 0){
                try {
                    player.sendMessage(Localization.GetLocal(player, 12));
                    player.sendMessage(Localization.GetLocal(player, 13));
                    player.sendMessage(Localization.GetLocal(player, 14));
                } catch (SQLException e) {
                    throw new RuntimeException(e);
                }
            } else {
                switch(strings[0]){
                    case "list":
                        try {
                            String uuid = player.getUniqueId().toString();
                            String lang = Localization.GetPlayerLang(player);
                            SQL.connect();
                            PreparedStatement ps = SQL.getConnection().prepareStatement("SELECT * FROM cubetp WHERE uuid IS NULL");
                            ResultSet rs = ps.executeQuery();
                            player.sendMessage(Localization.GetLocal(player, 16));
                            while(rs != null && rs.next()) {
                                player.sendMessage(MessageFormat.format(Localization.GetLocal(player, 18), rs.getString("name"), rs.getDouble("x"), rs.getDouble("y"), rs.getDouble("z")));
                            }
                            SQL.connect();
                            PreparedStatement psp = SQL.getConnection().prepareStatement("SELECT * FROM cubetp WHERE uuid = ?");
                            psp.setString(1, uuid);
                            ResultSet rsp = psp.executeQuery();
                            if(rsp != null){
                                player.sendMessage(Localization.GetLocal(player, 17));
                            }
                            while(rsp != null && rsp.next()) {
                                player.sendMessage(MessageFormat.format(Localization.GetLocal(player, 18), rsp.getString("name"), rsp.getDouble("x"), rsp.getDouble("y"), rsp.getDouble("z")));
                            }
                        } catch (SQLException e) {
                            throw new RuntimeException(e);
                        }
                        break;
                    case "local":
                        if(strings[1].isEmpty()){
                            try {
                                String lang = Localization.GetPlayerLang(player);
                            } catch (SQLException e) {
                                throw new RuntimeException(e);
                            }
                        } else {
                            try {
                                Localization.UpdatePlayer(player, strings[1]);
                            } catch (SQLException e) {
                                throw new RuntimeException(e);
                            }
                        }
                        break;
                }
            }
        }
        return false;
    }
}
